Bug 680229 - group config editor - fix issues when in read-only mode
group config editor - fix issues when in read-only mode
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0.B02
All All
high Severity high (vote)
: ---
: ---
Assigned To: Ian Springer
Corey Welton
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2011-02-24 13:31 EST by Ian Springer
Modified: 2013-08-05 20:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2011-02-24 13:31:08 EST
The following issues need to be fixed:

1) Edit icon next to each prop should instead be a view icon.
2) On member values modal:
  a) Set All Values controls should not be shown.
  b) all member props should not be editable (display them as StaticTextItems)
  c) unset checkboxes for optional props should also be read-only
  d) OK button should always be enabled and Cancel button should not be shown.

I think that's it.

The following test view can be used:

http://localhost:7080/coregui/CoreGUI.html#Test/Configuration/ReadOnlyGroupConfigEditor
Comment 1 John Mazzitelli 2011-03-24 14:42:02 EDT
I think Ian already fixes these. Putting this on_dev in his bucket - just review and close if appropriate.
Comment 2 Ian Springer 2011-03-25 15:12:40 EDT
No, this isn't fixed yet. I did fix the read-only issues in the individual config editor, which may be what you were thinking of.
Comment 3 Ian Springer 2011-03-30 13:55:17 EDT
[master ffa7f7b] fixes these and a bunch of other group config editor bugs.
Comment 4 Mike Foley 2011-05-04 11:07:49 EDT
verified behavior using the test view .. .RHQ 4.0 community release
Comment 5 Corey Welton 2011-05-23 21:17:28 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 6 Corey Welton 2011-05-23 21:17:28 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 7 Corey Welton 2011-05-23 21:17:28 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 8 Corey Welton 2011-05-23 21:17:29 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.